## pytest-httpserver 1.0.9

=== Makefile ===
export POETRY_VIRTUALENVS_IN_PROJECT=true
EXTRAS ?= develop
SPHINXOPTS ?= -n

# do poetry install only in case if poetry.lock or pyproject.toml where updated and
# we require a rebuilt.
.venv/.st-venv-completed: poetry.lock pyproject.toml
	poetry install --verbose --with $(EXTRAS)
	touch .venv/.st-venv-completed


.PHONY: dev
dev: .venv/.st-venv-completed

.PHONY: precommit
precommit: dev
	poetry run pre-commit run -a

.PHONY: mypy
mypy: dev
	.venv/bin/mypy

.PHONY: mrproper
mrproper: clean
	rm -rf dist

.PHONY: clean
clean: cov-clean doc-clean
	rm -rf .venv *.egg-info build .eggs __pycache__ */__pycache__ .tox

.PHONY: test
test: dev
	.venv/bin/pytest tests -s -vv --release
	.venv/bin/pytest tests -s -vv --ssl

.PHONY: test-pdb
test-pdb:
	.venv/bin/pytest tests -s -vv --pdb

.PHONY: cov
cov: cov-clean
	.venv/bin/coverage run -m pytest -vv tests --release
	.venv/bin/coverage run -a -m pytest -vv tests --ssl
	.venv/bin/coverage xml

.PHONY: cov-clean
cov-clean:
	rm -rf htmlcov coverage.xml .coverage

.PHONY: doc
doc: dev
	.venv/bin/sphinx-build -M html doc doc/_build $(SPHINXOPTS) $(O)

.PHONY: doc-clean
doc-clean:
	rm -rf doc/_build

.PHONY: changes
changes: dev
	.venv/bin/reno report --output CHANGES.rst --no-show-source
	poetry run pre-commit run --files CHANGES.rst || true
	poetry run pre-commit run --files CHANGES.rst

## pytest-httpserver 1.0.6

=== debian/changelog ===
pytest-httpserver (1.0.6-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Strip unusual field spacing from debian/control.
  * Use canonical URL in Vcs-Git.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 20 Oct 2022 11:08:19 +0200

pytest-httpserver (1.0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1022044)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Oct 2022 15:14:58 +0200

=== debian/control ===
Source: pytest-httpserver
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all:any,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-werkzeug,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-httpserver
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-httpserver.git
Homepage: https://github.com/csernazs/pytest-httpserver
Rules-Requires-Root: no

Package: python3-pytest-httpserver
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: HTTP server for pytest to test HTTP clients
 This library is designed to help to test HTTP clients without contacting the
 real HTTP server. In other words, it is a fake HTTP server which is accessible
 via localhost can be started with the pre-defined expected HTTP requests and
 their responses.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=pytest-httpserver

include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest, python3-requests, python3-toml, python3-poetry, python3-cachecontrol, python3-distutils
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-httpserver/pytest_httpserver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-httpserver 1.0.9

=== debian/changelog ===
pytest-httpserver (1.0.9-1) unstable; urgency=medium

  * Team upload
  * [3e6dba1] New upstream version 1.0.9

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Feb 2024 08:52:55 +0100

pytest-httpserver (1.0.8-2) unstable; urgency=medium

  * Team upload
  * [37ba74b] autopkgtest: Add python3-toml to required packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 25 Dec 2023 18:31:13 +0100

pytest-httpserver (1.0.8-1) unstable; urgency=medium

  * Team upload
  * [d7a0a24] d/watch: Use git mode to watch out
  * [2d4de07] d/gbp.conf: Add some default config
  * [f55f224] New upstream version 1.0.8
  * [9da8bc5] d/*: Running wrap-and-sort -ast
  * [4e50645] Drop current patch queue
    Dropping the one existing patch, not needed any more.
  * [7574784] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [2a07dda] d/control: Adjust to dh-sequence-python3 and python3-all
  * [68d86bf] d/rules: Drop --with option in default target
  * [77b2d33] d/control: Add nocheck profile to werkzeug
  * [fb91c9d] d/rules: Ignore usage of 'test_ipv*' in test suite
  * [7de8204] d/README.source: Add basic information about source
  * [f20b8f0] autopkgtest: Improve CI and test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Dec 2023 18:19:27 +0100

=== debian/control ===
Source: pytest-httpserver
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-werkzeug <!nocheck>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-httpserver
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-httpserver.git
Homepage: https://github.com/csernazs/pytest-httpserver
Rules-Requires-Root: no

Package: python3-pytest-httpserver
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: HTTP server for pytest to test HTTP clients
 This library is designed to help to test HTTP clients without contacting the
 real HTTP server. In other words, it is a fake HTTP server which is accessible
 via localhost can be started with the pre-defined expected HTTP requests and
 their responses.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/csernazs/pytest-httpserver.git \
      refs/tags/@ANY_VERSION@

## pytest-httpserver 1.0.10

=== debian/changelog ===
pytest-httpserver (1.0.10-1) unstable; urgency=medium

  * Team upload
  * [78fa049] New upstream version 1.0.10

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Mar 2024 08:36:31 +0100

## pytest-httpserver 1.0.12

=== debian/changelog ===
pytest-httpserver (1.0.12-1) unstable; urgency=medium

  * Team upload
  * [041c60c] New upstream version 1.0.12
  * [2b8a595] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Aug 2024 20:54:56 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
  python3-werkzeug <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-httpserver
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-httpserver.git
 Homepage: https://github.com/csernazs/pytest-httpserver

## pytest-httpserver 1.1.0

=== debian/changelog ===
pytest-httpserver (1.1.0-1) unstable; urgency=medium

  * Team upload
  * [92f479a] New upstream version 1.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Aug 2024 22:10:31 +0200

## pytest-httpserver 1.1.1

=== debian/changelog ===
pytest-httpserver (1.1.1-1) unstable; urgency=medium

  * Team upload
  * [a6cdd6e] New upstream version 1.1.1
  * [6d68734] d/control: Add Testsuite: to source package
  * [a9040db] d/copyright: Update year and holder data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Jan 2025 10:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-httpserver.git
 Homepage: https://github.com/csernazs/pytest-httpserver
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pytest-httpserver
 Architecture: all

## pytest-httpserver 1.1.2

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytest_httpserver
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pytest-httpserver (1.1.2-1) unstable; urgency=medium

  * Team upload
  * [118c921] New upstream version 1.1.2
  * [b7d457a] d/control: Bump Standards-Version to 4.7.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 09:11:35 +0200

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest,
 python3-requests,
 python3-toml,
 python3-werkzeug,
 @,
Restrictions: allow-stderr

## pytest-httpserver 1.1.3

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,10 @@
 doc-clean:
 	rm -rf doc/_build
 
+.PHONY: doc-clean
+doc-preview:
+	xdg-open doc/_build/html/index.html
+
 .PHONY: changes
 changes: dev
 	.venv/bin/reno report --output CHANGES.rst --no-show-source

=== tests/assets/Makefile ===


all: server.crt


rootCA.key:
	openssl genrsa -out rootCA.key 2048

rootCA.crt: rootCA.key rootCA.cnf
	openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 11083 -out rootCA.crt -config rootCA.cnf

server.csr server.key: server.cnf
	openssl req -new -sha256 -nodes -out server.csr -newkey rsa:2048 -keyout server.key -config server.cnf

server.crt: server.csr rootCA.crt rootCA.key v3.ext
	openssl x509 -req -in server.csr -CA rootCA.crt -CAkey rootCA.key -CAcreateserial -out server.crt -days 11083 -sha256 -extfile v3.ext

clean:
	rm -f rootCA.key rootCA.crt server.csr server.key server.crt

=== debian/changelog ===
pytest-httpserver (1.1.3-2) unstable; urgency=medium

  * Team upload
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop python3-toml from autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 22:48:29 +0100

pytest-httpserver (1.1.3-1) unstable; urgency=medium

  * Team upload
  * [a881f63] New upstream version 1.1.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Apr 2025 09:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pytest-httpserver
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael R. Crusoe <crusoe@debian.org>,
@@ -13,11 +12,10 @@
  python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
  python3-werkzeug <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-httpserver
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-httpserver.git
 Homepage: https://github.com/csernazs/pytest-httpserver
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pytest-httpserver

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest,
 python3-requests,
 python3-werkzeug,
 @,
Restrictions: allow-stderr
